%global momorel 2
%global svn_date 20070801
%global mesadir beryl-mesa
%global beryl_ver 0.1.3

%global use_svn 0

Summary:        OpenGL window and compositing manager
Name:           compiz-core
Version:        0.6.2
Release: 	%{momorel}m%{?dist}
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source0:	compiz-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.compiz-fusion.org/compiz/%{version}/compiz-%{version}.tar.bz2  087597ff58ae6df6327e15b7e45ee14b
%endif
%NoSource 2     http://releases.beryl-project.org/%{beryl_ver}/beryl-mesa-%{beryl_ver}.tar.bz2 c22765c2637846907ee6154b548151e9
Source3:        gnome-compizrc
Source4:        gnome-compizrc.desktop
Source10:       mo-nuri.png
Patch1:         mesadec.patch

# Mesa patch
Patch10:        Mesa-6.4.1-x86_64-fixes-1.patch
Patch11:        Mesa-configs.diff

# AIGLX Patch
Patch100: gl-include-inferiors.patch
Patch101: aiglx-defaults.patch
Patch102: tfp-server-extension.patch
Patch103: composite-cube-logo.patch
Patch105: glfinish.patch
Patch106: cow.patch

# Momonga patch
Patch200: default-momonga-setting.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       libICE,libSM, libX11, libXau, libXcomposite
Requires:       libXdamage, libXdmcp, libXext, libXfixes 
Requires:       libXrandr, libXrender, libXxf86vm, libdrm
Requires:       dbus >= 0.92
Requires:       compiz-bcop
BuildRequires:  pkgconfig, popt, imake
BuildRequires:  mesa-libGL-devel >= 6.5.2-1
BuildRequires:	gtk+-devel, libgnomeui-devel
BuildRequires:  cairo-devel, freetype-devel
BuildRequires:  pango-devel, libwnck-devel , libxml2-devel
BuildRequires:  libsvg-devel, libsvg-cairo-devel
BuildRequires:  metacity-devel, dbus-glib-devel, dbus-qt-devel
BuildRequires:  libICE-devel,libSM-devel, libX11-devel, libXau-devel
BuildRequires:  libXcomposite-devel, libXdamage-devel, libXdmcp-devel
BuildRequires:  libXext-devel, libXfixes-devel,libXrandr-devel
BuildRequires:  libXrender-devel, libXxf86vm-devel, libdrm-devel
BuildRequires:  xorg-x11-proto-devel 
BuildRequires:  control-center-devel >= 2.14.2-3m
BuildRequires:  compiz-bcop
BuildRequires:  qt-devel
BuildRequires:  kdelibs-devel, kdebase
BuildRequires:  libutempter-devel
Obsoletes:	beryl beryl-core beryl-plugins
Obsoletes:	beryl-core
Obsoletes:	beryl-plugins
Obsoletes:	beryl-plugins-addon beryl-plugins-unsupported
Obsoletes:	beryl-plugins-unsupported
Obsoletes:	beryl-heliodor
Obsoletes:	beryl-aquamarine
Obsoletes:	beryl-premerge

%description
Compiz is an OpenGL compositing manager that use GLX_EXT_texture_from_pixmap
for binding redirected top-level windows to texture objects. It has a flexible
plug-in system and it is designed to run well on most graphics hardware. 

%package kde-window-decorator
Summary: Compiz KDE window decorator.
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description kde-window-decorator
This is Compiz KDE window decorator.

%package gtk-window-decorator
Summary: Compiz Gtk+ window decorator.
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description gtk-window-decorator
This is Compiz Gtk+ window decorator.

%prep
%if %{use_svn}
%setup -q -a 2 -n compiz
%else
%setup -q -a 2 -n compiz-%{version}
%endif

# %setup -q -b 2 -n compiz

%patch1 -p0

# %patch100 -p1 -b .gl-include-inferiors
# %%patch101 -p1 -b .aiglx-defaults
# %%patch102 -p1 -b .tfp-server-extension
# %patch103 -p1 -b .composite-cube-logo
%patch105 -p1 -b .glfinish
#%patch106 -p1 -b .cow

%patch200 -p1 -b .momonga-default

pushd %{mesadir}
%patch10 -p0
%patch11 -p0
popd

pushd %{mesadir}/include
%__ln_s /usr/include/X11
pushd GL
%__ln_s /usr/include/GL/glxproto.h
popd
popd

%build

##### Mesa
#
pushd %{mesadir}
cd src && make
popd

# Need special static libGL (EXT_texture_from_pixmap) for indirect rendering.
mesagl="`echo $RPM_BUILD_DIR/compiz-%{version}/%{mesadir}/lib/libGL.a`"

%if %{use_svn}
./autogen.sh
make distclean
%endif
%configure --enable-libsvg-cairo --enable-librsvg --with-gl-libs="$mesagl -L/usr/lib64 -L/usr/lib -lX11 -lXext -lXxf86vm -pthread -ldrm" 
# %%configure --enable-libsvg-cairo --enable-librsvg 
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=0
make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

cp -f %{SOURCE3} %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/gnome/autostart
cp -f %{SOURCE4} %{buildroot}/usr/share/gnome/autostart

rm -f %{buildroot}%{_libdir}/compiz/*.{a,la}
rm -f %{buildroot}%{_libdir}/*.{a,la}
rm -f %{buildroot}%{_libdir}/window-manager-settings/*.{a,la}
# rm -rf %{buildroot}%{_libdir}/pkgconfig %{buildroot}%{_libdir}/include

rm -rf %{buildroot}/var/

cp -f %{SOURCE10} %{buildroot}/usr/share/compiz/mo.png

%post
/usr/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/compiz
%{_bindir}/gnome-compizrc
%{_includedir}/compiz/*.h
%{_libdir}/libdecoration.so*
%{_libdir}/compiz/*.so
%{_libdir}/window-manager-settings/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/compiz/*.png
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/schemas.xslt
%{_datadir}/gnome/wm-properties/compiz.desktop
%{_datadir}/gnome/autostart/gnome-compizrc.desktop
%{_datadir}/locale/*/LC_MESSAGES/compiz.mo
%{_sysconfdir}/gconf/schemas/compiz-*.schemas
%{_sysconfdir}/gconf/schemas/gwd.schemas
# %{_datadir}/gnome-control-center/keybindings/*

%files gtk-window-decorator
%defattr(-,root,root)
%{_bindir}/gtk-window-decorator

%files kde-window-decorator
%defattr(-,root,root)
%{_bindir}/kde-window-decorator

%changelog
* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-2m)
- add any BuildReq

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-1m)
- update 0.6.2

* Fri Oct  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.2-6m)
- add BuildRequires: control-center for %%{_datadir}/gnome-control-center/keybindings/*

* Mon Sep 24 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-5m)
- rebuild against xorg-x11-proto-devel >= 7.3-4m

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-4m)
- fix %%files (GNOME-2.20)

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-3m)
- rebuild against libwnck-2.20.0

* Thu Aug 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-2m)
- update default-momonga-setting.patch
-- fix cube top image

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070801.1m)
- update 20070801

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070729.2m)
- add Momonga Default Setting

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070630.1m)
- update 20070630

* Sat Jun 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.1-0.20070621.2m)
- revised spec

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070616.2m)
- split packages gtk-window-decorator, kde-window-decorator

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070616.1m)
- update 20070616

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070524.2m)
- remove any Requires. because, dependency loop...

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070519.2m)
- fix Obsoletes

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070519.1m)
- update 0.5.1-0.20070519

* Fri May 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070510.1m)
- update 0.5.1-0.20070510

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sat Feb 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.6-1m)
- update 0.3.6
- static libGL.a changed from Mesa to beryl-mesa

* Wed Nov 22 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2.0-3m)
- revised Mesa-configs.diff for lib64

* Wed Oct  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-2m)
- update 20061012-git

* Sat Sep 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060929.1m)
- update 20060929

* Wed Sep 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060926.2m)
- remove fbconfig-depth-fix.patch

* Wed Sep 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060926.1m)
- update 20060926
- default use --use-cow
- gnome-window-decorator -> gtk-window-decorator
- remove fbconfig-depth-fix.patch

* Thu Sep 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060920.1m)
- update 20060920

* Sun Sep 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060916.1m)
- update 20060916
- require mesa-6.5.1

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-0.20060726.5m)
- rebuild against 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.0.13-0.20060726.4m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-0.20060726.3m)
- rebuild against control-center-2.14.2-3m

* Tue Aug  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060726.2m)
- fix mo-nuri.png -> mo.png

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060726.1m)
- update 20060726

* Sun Jul 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060722.2m)
- update momonga-logo.patch
-- no use transparent png 

* Sun Jul 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060722.1m)
- update 20060722 

* Wed Jul 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060718.2m)
- cube plugin use "Mo?" logo mark. 

* Tue Jul 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060718.1m)
- update 20060718
- edit gnome-compizrc (support AIGLX)

* Mon Jul 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.3m)
- support AIGLX
- usage: compiz --indirect-rendering --strict-binding --replace gconf
-- Patch100: gl-include-inferiors.patch
-- Patch101: aiglx-defaults.patch
-- Patch102: tfp-server-extension.patch
-- Patch103: composite-cube-logo.patch
-- Patch104: fbconfig-depth-fix.patch

* Sat Jul  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.2m)
- add Patch7: mesadec.patch

* Fri Jul  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.1m)
- update 20060705(cvs)

* Fri Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060621.1m)
- update 20060621

* Mon Jun 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.3m)
- disable reload keyboard-config 

* Mon Jun 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.2m)
- add post & preun
- static link libGL.a. 

* Sun Jun 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.1m)
- update 0.0.13(CVS-20060617)

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.4m)
- add /usr/bin/gnome-compizrc
-     /usr/share/gnome/autostart/gnome-compiz.desktop

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.3m)
- remove gnome-xgl-settings.

* Wed Jun 14 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.2m)
- add patch compiz_disable_fbconfig.patch

* Tue Jun 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.1m)
- update 0.0.12-20060602

* Sun Jun  4 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.0.8-2m)
- BuildRequires:  control-center-devel

* Fri Apr  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.8-1m)
- update compiz-20060406

* Fri Mar 31 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.6-1m)
- initial commit
